oasis.names.tc.dss._1_0.core.schema

## Class UseVerificationTimeType

- java.lang.Object
- - oasis.names.tc.dss._1_0.core.schema.UseVerificationTimeType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-09-22T05:18:07+02:00",
                 comments="JAXB RI v2.2.11")
      public class UseVerificationTimeType
      extends Object
      implements Serializable

  Java class for UseVerificationTimeType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="UseVerificationTimeType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <choice>
               <element name="CurrentTime" type="{http://www.w3.org/2001/XMLSchema}anyType"/>
               <element name="SpecificTime" type="{http://www.w3.org/2001/XMLSchema}dateTime"/>
               <any namespace='##other'/>
             </choice>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UseVerificationTimeType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `getAny()` Gets the value of the any property.
    `Object` | `getCurrentTime()` Gets the value of the currentTime property.
    `org.joda.time.DateTime` | `getSpecificTime()` Gets the value of the specificTime property.
    `void` | `setAny(Object value)` Sets the value of the any property.
    `void` | `setCurrentTime(Object value)` Sets the value of the currentTime property.
    `void` | `setSpecificTime(org.joda.time.DateTime value)` Sets the value of the specificTime property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UseVerificationTimeType

          public UseVerificationTimeType()

  - ### Method Detail

    - #### getAny

          public Object getAny()

      Gets the value of the any property.
      Returns:
        possible object is `Object`

    - #### setAny

          public void setAny(Object value)

      Sets the value of the any property.
      Parameters:
        `value` - allowed object is `Object`

    - #### getSpecificTime

          public org.joda.time.DateTime getSpecificTime()

      Gets the value of the specificTime property.
      Returns:
        possible object is `String`

    - #### setSpecificTime

          public void setSpecificTime(org.joda.time.DateTime value)

      Sets the value of the specificTime property.
      Parameters:
        `value` - allowed object is `String`

    - #### getCurrentTime

          public Object getCurrentTime()

      Gets the value of the currentTime property.
      Returns:
        possible object is `Object`

    - #### setCurrentTime

          public void setCurrentTime(Object value)

      Sets the value of the currentTime property.
      Parameters:
        `value` - allowed object is `Object`

Connector Packaging PERSPRACTICALNURSE 4.2.0 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.